tigase.xmpp.impl.roster

## Class RosterAbstract.RosterModifiedEvent

- java.lang.Object
- - tigase.server.xmppsession.UserSessionEvent
  - - tigase.server.xmppsession.UserSessionEventWithProcessorResultWriter
    - - tigase.xmpp.impl.roster.RosterAbstract.RosterModifiedEvent

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    RosterAbstract

      public static class RosterAbstract.RosterModifiedEvent
      extends UserSessionEventWithProcessorResultWriter

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RosterModifiedEvent()`
    `RosterModifiedEvent(JID sender, JID userJid, XMPPSession session, JID jid, RosterAbstract.SubscriptionType subscription)`
    `RosterModifiedEvent(JID sender, JID userJid, XMPPSession session, RosterElement rosterElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getGroups()`
    `JID` | `getJid()`
    `String` | `getName()`
    `RosterAbstract.SubscriptionType` | `getSubscription()`

    - ### Methods inherited from class tigase.server.xmppsession.UserSessionEventWithProcessorResultWriter

      `getPacketWriter, setPacketWriter`

    - ### Methods inherited from class tigase.server.xmppsession.UserSessionEvent

      `getSender, getSession, getUserJid, setSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RosterModifiedEvent

          public RosterModifiedEvent()

    - #### RosterModifiedEvent

          public RosterModifiedEvent(JID sender,
                                     JID userJid,
                                     XMPPSession session,
                                     RosterElement rosterElement)

    - #### RosterModifiedEvent

          public RosterModifiedEvent(JID sender,
                                     JID userJid,
                                     XMPPSession session,
                                     JID jid,
                                     RosterAbstract.SubscriptionType subscription)

  - ### Method Detail

    - #### getJid

          public JID getJid()

    - #### getName

          public String getName()

    - #### getSubscription

          public RosterAbstract.SubscriptionType getSubscription()

    - #### getGroups

          public String[] getGroups()

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.